Bug 1017215 - Replicated objects duplicates
Replicated objects duplicates
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
3.4.0
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 08:52 EDT by Dmitry Korzhevin
Modified: 2015-10-07 08:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 08:15:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitry Korzhevin 2013-10-09 08:52:57 EDT
Hi,

We have duplicated objects in one dir with same inodes, which replicates using glusterfs.

Here is sample of problem:

[root@server]# ls -lai
total 417
12130942645087122804 drwxr-xr-x 6 gface gface   8192 Sep 25 07:45 .
11095611804383102230 drwxr-xr-x 7 root  root    8192 Sep 19 09:48 ..
 9648911305589620728 drwxrwxrwx 0 root  root      57 Sep 17 11:29 hypernia
 9648911305589620728 drwxrwxrwx 0 root  root      57 Sep 17 11:29 hypernia
11334192228990312133 drwxrwxrwx 0 root  root      59 Aug 22 08:58 nightly
11334192228990312133 drwxrwxrwx 0 root  root      59 Aug 22 08:58 nightly
11941059418565344454 -rw-r--r-- 1 gface gface 409796 Oct  7 10:49 paymentflow.tgz
13757041051782061713 drwxrwxrwx 0 root  root      56 Sep 17 11:29 staging
13757041051782061713 drwxrwxrwx 0 root  root      56 Sep 17 11:29 staging
11795101191798172730 drwxrwxrwx 0 root  root      59 Aug 15 11:07 testing
11795101191798172730 drwxrwxrwx 0 root  root      59 Aug 15 11:07 testing
[root@server]#

[root@server]# service glusterd status
glusterd (pid  8119) is running...

[root@server]# gluster volume info

Volume Name: gface_beta2
Type: Distributed-Replicate
Volume ID: f14e1dc8-1db2-477c-8068-5bf4480db7a1
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 10.86.31.124:/disk1
Brick2: 10.86.31.126:/disk1
Brick3: 10.86.31.124:/disk2
Brick4: 10.86.31.126:/disk2

Volume Name: gface_lucene
Type: Replicate
Volume ID: c571e1ec-c47d-4d6e-a435-f0ceadc52e9e
Status: Started
Number of Bricks: 1 x 2 = 2
Transport-type: tcp
Bricks:
Brick1: 10.86.31.124:/disk3.1
Brick2: 10.86.31.126:/disk3.1
[root@server]#

[root@gl1-lv c]# glusterfsd --version
glusterfs 3.4.0 built on Aug  6 2013 11:17:05
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2013 Red Hat, Inc. <http://www.redhat.com/>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
It is licensed to you under your choice of the GNU Lesser
General Public License, version 3 or any later version (LGPLv3
or later), or the GNU General Public License, version 2 (GPLv2),

We use CentOS 6.4 x86_64 on servers.

glusterfs componets:

[root@server]# yum list installed | grep gluster
glusterfs.x86_64        3.4.0-8.el6     @glusterfs-epel
glusterfs-cli.x86_64    3.4.0-8.el6     @glusterfs-epel
glusterfs-fuse.x86_64   3.4.0-8.el6     @glusterfs-epel
glusterfs-libs.x86_64   3.4.0-8.el6     @glusterfs-epel
glusterfs-server.x86_64 3.4.0-8.el6     @glusterfs-epel

I will provide any additional info on your request, to help investigate and solve this problem.
Comment 1 Niels de Vos 2015-05-17 18:00:36 EDT
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.
Comment 2 Kaleb KEITHLEY 2015-10-07 08:15:14 EDT
GlusterFS 3.4.x has reached end-of-life.

If this bug still exists in a later release please reopen this and change the version or open a new bug.

Note You need to log in before you can comment on or make changes to this bug.